net.sf.jasperreports.view

## Class JasperViewer

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - net.sf.jasperreports.view.JasperViewer

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class JasperViewer
      extends javax.swing.JFrame

  This class uses the `JRViewer` component to display reports. It represents a simple Java Swing application that can load and display reports. It is used in almost all of the supplied samples to display the generated documents.
  Version:
    $Id: JasperViewer.java 7017 2014-04-15 10:18:40Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JFrame

      `javax.swing.JFrame.AccessibleJFrame`

    - ### Nested classes/interfaces inherited from class java.awt.Frame

      `java.awt.Frame.AccessibleAWTFrame`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRViewer` | `viewer`

    - ### Fields inherited from class javax.swing.JFrame

      `accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Frame

      `CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JasperViewer(java.io.InputStream is, boolean isXMLFile)`
    `JasperViewer(java.io.InputStream is, boolean isXMLFile, boolean isExitOnClose)`
    `JasperViewer(java.io.InputStream is, boolean isXMLFile, boolean isExitOnClose, java.util.Locale locale)`
    `JasperViewer(JasperPrint jasperPrint)`
    `JasperViewer(JasperPrint jasperPrint, boolean isExitOnClose)`
    `JasperViewer(JasperPrint jasperPrint, boolean isExitOnClose, java.util.Locale locale)`
    `JasperViewer(JasperReportsContext jasperReportsContext, java.io.InputStream is, boolean isXMLFile, boolean isExitOnClose)`
    `JasperViewer(JasperReportsContext jasperReportsContext, java.io.InputStream is, boolean isXMLFile, boolean isExitOnClose, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `JasperViewer(JasperReportsContext jasperReportsContext, JasperPrint jasperPrint, boolean isExitOnClose)`
    `JasperViewer(JasperReportsContext jasperReportsContext, JasperPrint jasperPrint, boolean isExitOnClose, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `JasperViewer(JasperReportsContext jasperReportsContext, java.lang.String sourceFile, boolean isXMLFile, boolean isExitOnClose)`
    `JasperViewer(JasperReportsContext jasperReportsContext, java.lang.String sourceFile, boolean isXMLFile, boolean isExitOnClose, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `JasperViewer(java.lang.String sourceFile, boolean isXMLFile)`
    `JasperViewer(java.lang.String sourceFile, boolean isXMLFile, boolean isExitOnClose)`
    `JasperViewer(java.lang.String sourceFile, boolean isXMLFile, boolean isExitOnClose, java.util.Locale locale)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `setFitPageZoomRatio()`
    `void` | `setFitWidthZoomRatio()`
    `void` | `setZoomRatio(float zoomRatio)`
    `static void` | `viewReport(java.io.InputStream is, boolean isXMLFile)`
    `static void` | `viewReport(java.io.InputStream is, boolean isXMLFile, boolean isExitOnClose)`
    `static void` | `viewReport(java.io.InputStream is, boolean isXMLFile, boolean isExitOnClose, java.util.Locale locale)`
    `static void` | `viewReport(JasperPrint jasperPrint)`
    `static void` | `viewReport(JasperPrint jasperPrint, boolean isExitOnClose)`
    `static void` | `viewReport(JasperPrint jasperPrint, boolean isExitOnClose, java.util.Locale locale)`
    `static void` | `viewReport(JasperReportsContext jasperReportsContext, java.io.InputStream is, boolean isXMLFile, boolean isExitOnClose)`
    `static void` | `viewReport(JasperReportsContext jasperReportsContext, java.io.InputStream is, boolean isXMLFile, boolean isExitOnClose, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `static void` | `viewReport(JasperReportsContext jasperReportsContext, JasperPrint jasperPrint, boolean isExitOnClose)`
    `static void` | `viewReport(JasperReportsContext jasperReportsContext, JasperPrint jasperPrint, boolean isExitOnClose, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `static void` | `viewReport(JasperReportsContext jasperReportsContext, java.lang.String sourceFile, boolean isXMLFile, boolean isExitOnClose)`
    `static void` | `viewReport(JasperReportsContext jasperReportsContext, java.lang.String sourceFile, boolean isXMLFile, boolean isExitOnClose, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `static void` | `viewReport(java.lang.String sourceFile, boolean isXMLFile)`
    `static void` | `viewReport(java.lang.String sourceFile, boolean isXMLFile, boolean isExitOnClose)`
    `static void` | `viewReport(java.lang.String sourceFile, boolean isXMLFile, boolean isExitOnClose, java.util.Locale locale)`

    - ### Methods inherited from class javax.swing.JFrame

      `addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Frame

      `addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.awt.MenuContainer

      `getFont, postEvent`

- - ### Field Detail

    - #### viewer

          protected JRViewer viewer

  - ### Constructor Detail

    - #### JasperViewer

          public JasperViewer(java.lang.String sourceFile,
                      boolean isXMLFile)
                       throws JRException

      Throws:
        `JRException`
      See Also:
        `JasperViewer(JasperReportsContext, String, boolean, boolean, Locale, ResourceBundle)`

    - #### JasperViewer

          public JasperViewer(java.io.InputStream is,
                      boolean isXMLFile)
                       throws JRException

      Throws:
        `JRException`
      See Also:
        `JasperViewer(JasperReportsContext, InputStream, boolean, boolean, Locale, ResourceBundle)`

    - #### JasperViewer

          public JasperViewer(JasperPrint jasperPrint)

      See Also:
        `JasperViewer(JasperReportsContext, JasperPrint, boolean, Locale, ResourceBundle)`

    - #### JasperViewer

          public JasperViewer(java.lang.String sourceFile,
                      boolean isXMLFile,
                      boolean isExitOnClose)
                       throws JRException

      Throws:
        `JRException`
      See Also:
        `JasperViewer(JasperReportsContext, String, boolean, boolean, Locale, ResourceBundle)`

    - #### JasperViewer

          public JasperViewer(java.io.InputStream is,
                      boolean isXMLFile,
                      boolean isExitOnClose)
                       throws JRException

      Throws:
        `JRException`
      See Also:
        `JasperViewer(JasperReportsContext, InputStream, boolean, boolean, Locale, ResourceBundle)`

    - #### JasperViewer

          public JasperViewer(JasperPrint jasperPrint,
                      boolean isExitOnClose)

      See Also:
        `JasperViewer(JasperReportsContext, JasperPrint, boolean, Locale, ResourceBundle)`

    - #### JasperViewer

          public JasperViewer(java.lang.String sourceFile,
                      boolean isXMLFile,
                      boolean isExitOnClose,
                      java.util.Locale locale)
                       throws JRException

      Throws:
        `JRException`
      See Also:
        `JasperViewer(JasperReportsContext, String, boolean, boolean, Locale, ResourceBundle)`

    - #### JasperViewer

          public JasperViewer(java.io.InputStream is,
                      boolean isXMLFile,
                      boolean isExitOnClose,
                      java.util.Locale locale)
                       throws JRException

      Throws:
        `JRException`
      See Also:
        `JasperViewer(JasperReportsContext, InputStream, boolean, boolean, Locale, ResourceBundle)`

    - #### JasperViewer

          public JasperViewer(JasperPrint jasperPrint,
                      boolean isExitOnClose,
                      java.util.Locale locale)

      See Also:
        `JasperViewer(JasperReportsContext, JasperPrint, boolean, Locale, ResourceBundle)`

    - #### JasperViewer

          public JasperViewer(JasperReportsContext jasperReportsContext,
                      java.lang.String sourceFile,
                      boolean isXMLFile,
                      boolean isExitOnClose,
                      java.util.Locale locale,
                      java.util.ResourceBundle resBundle)
                       throws JRException

      Throws:
        `JRException`

    - #### JasperViewer

          public JasperViewer(JasperReportsContext jasperReportsContext,
                      java.io.InputStream is,
                      boolean isXMLFile,
                      boolean isExitOnClose,
                      java.util.Locale locale,
                      java.util.ResourceBundle resBundle)
                       throws JRException

      Throws:
        `JRException`

    - #### JasperViewer

          public JasperViewer(JasperReportsContext jasperReportsContext,
                      JasperPrint jasperPrint,
                      boolean isExitOnClose,
                      java.util.Locale locale,
                      java.util.ResourceBundle resBundle)

    - #### JasperViewer

          public JasperViewer(JasperReportsContext jasperReportsContext,
                      java.lang.String sourceFile,
                      boolean isXMLFile,
                      boolean isExitOnClose)
                       throws JRException

      Throws:
        `JRException`

    - #### JasperViewer

          public JasperViewer(JasperReportsContext jasperReportsContext,
                      java.io.InputStream is,
                      boolean isXMLFile,
                      boolean isExitOnClose)
                       throws JRException

      Throws:
        `JRException`

    - #### JasperViewer

          public JasperViewer(JasperReportsContext jasperReportsContext,
                      JasperPrint jasperPrint,
                      boolean isExitOnClose)

  - ### Method Detail

    - #### setZoomRatio

          public void setZoomRatio(float zoomRatio)

    - #### setFitWidthZoomRatio

          public void setFitWidthZoomRatio()

    - #### setFitPageZoomRatio

          public void setFitPageZoomRatio()

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - the command line arguments

    - #### viewReport

          public static void viewReport(java.lang.String sourceFile,
                        boolean isXMLFile)
                                 throws JRException

      Throws:
        `JRException`
      See Also:
        `viewReport(JasperReportsContext, String, boolean, boolean, Locale, ResourceBundle)`

    - #### viewReport

          public static void viewReport(java.io.InputStream is,
                        boolean isXMLFile)
                                 throws JRException

      Throws:
        `JRException`
      See Also:
        `viewReport(JasperReportsContext, InputStream, boolean, boolean, Locale, ResourceBundle)`

    - #### viewReport

          public static void viewReport(JasperPrint jasperPrint)

      See Also:
        `viewReport(JasperReportsContext, JasperPrint, boolean, Locale, ResourceBundle)`

    - #### viewReport

          public static void viewReport(java.lang.String sourceFile,
                        boolean isXMLFile,
                        boolean isExitOnClose)
                                 throws JRException

      Throws:
        `JRException`
      See Also:
        `viewReport(JasperReportsContext, String, boolean, boolean, Locale, ResourceBundle)`

    - #### viewReport

          public static void viewReport(java.io.InputStream is,
                        boolean isXMLFile,
                        boolean isExitOnClose)
                                 throws JRException

      Throws:
        `JRException`
      See Also:
        `viewReport(JasperReportsContext, InputStream, boolean, boolean, Locale, ResourceBundle)`

    - #### viewReport

          public static void viewReport(JasperPrint jasperPrint,
                        boolean isExitOnClose)

      See Also:
        `viewReport(JasperReportsContext, JasperPrint, boolean, Locale, ResourceBundle)`

    - #### viewReport

          public static void viewReport(java.lang.String sourceFile,
                        boolean isXMLFile,
                        boolean isExitOnClose,
                        java.util.Locale locale)
                                 throws JRException

      Throws:
        `JRException`
      See Also:
        `viewReport(JasperReportsContext, String, boolean, boolean, Locale, ResourceBundle)`

    - #### viewReport

          public static void viewReport(java.io.InputStream is,
                        boolean isXMLFile,
                        boolean isExitOnClose,
                        java.util.Locale locale)
                                 throws JRException

      Throws:
        `JRException`
      See Also:
        `viewReport(JasperReportsContext, InputStream, boolean, boolean, Locale, ResourceBundle)`

    - #### viewReport

          public static void viewReport(JasperPrint jasperPrint,
                        boolean isExitOnClose,
                        java.util.Locale locale)

      See Also:
        `viewReport(JasperReportsContext, JasperPrint, boolean, Locale, ResourceBundle)`

    - #### viewReport

          public static void viewReport(JasperReportsContext jasperReportsContext,
                        java.lang.String sourceFile,
                        boolean isXMLFile,
                        boolean isExitOnClose,
                        java.util.Locale locale,
                        java.util.ResourceBundle resBundle)
                                 throws JRException

      Throws:
        `JRException`

    - #### viewReport

          public static void viewReport(JasperReportsContext jasperReportsContext,
                        java.io.InputStream is,
                        boolean isXMLFile,
                        boolean isExitOnClose,
                        java.util.Locale locale,
                        java.util.ResourceBundle resBundle)
                                 throws JRException

      Throws:
        `JRException`

    - #### viewReport

          public static void viewReport(JasperReportsContext jasperReportsContext,
                        JasperPrint jasperPrint,
                        boolean isExitOnClose,
                        java.util.Locale locale,
                        java.util.ResourceBundle resBundle)

    - #### viewReport

          public static void viewReport(JasperReportsContext jasperReportsContext,
                        java.lang.String sourceFile,
                        boolean isXMLFile,
                        boolean isExitOnClose)
                                 throws JRException

      Throws:
        `JRException`

    - #### viewReport

          public static void viewReport(JasperReportsContext jasperReportsContext,
                        java.io.InputStream is,
                        boolean isXMLFile,
                        boolean isExitOnClose)
                                 throws JRException

      Throws:
        `JRException`

    - #### viewReport

          public static void viewReport(JasperReportsContext jasperReportsContext,
                        JasperPrint jasperPrint,
                        boolean isExitOnClose)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com